---
metadata:
  - name: generator
    content: Diplodoc Platform v5.47.3
alternate:
  - https://yandex.com.tr/support/tracker/en/api-ref/queues/get-group-access.md
---
> **Documentation Index:** Fetch the complete configuration index at https://yandex.com.tr/support/tracker/en/llms.txt

# Getting information about group permissions for a queue

Use this request to view [group permissions](https://yandex.com.tr/support/tracker/en/manager/queue-access.md) for a queue.

<div class="request_example method_get yfm-clipboard">
    <p>GET</p>
    <pre><code>https://api.tracker.yandex.net/v3/queues/&lt;queue_ID>/permissions/groups/&lt;group_ID></code></pre>
    <button class="yfm-clipboard-button"><svg width="16" height="16" viewBox="0 0 24 24" class="yfm-clipboard-icon" data-animation="15">
    <path fill="currentColor" d="M19,21H8V7H19M19,5H8A2,2 0 0,0 6,7V21A2,2 0 0,0 8,23H19A2,2 0 0,0 21,21V7A2,2 0 0,0 19,5M16,1H4A2,2 0 0,0 2,3V17H4V3H16V1Z"></path>
    <path stroke="currentColor" fill="transparent" strokewidth="1.5" d="M9.5 13l3 3l5 -5" visibility="hidden">
        <animate id="visibileAnimation-15" attributeName="visibility" from="hidden" to="visible" dur="0.2s" fill="freeze" begin=""></animate>
        <animate id="hideAnimation-15" attributeName="visibility" from="visible" to="hidden" dur="1s" begin="visibileAnimation-15.end+1" fill="freeze"></animate>
    </path>
</svg>
</button>
</div>

<!-- source: en/_assets/style/methods.md -->

<!-- endsource: en/_assets/style/methods.md -->

To set up queue permissions through the API, use [Granting queue access rights](https://yandex.com.tr/support/tracker/en/api-ref/queues/manage-access.md) requests.

## Query format {#query}

Before making a request, [get permission to access the API](https://yandex.com.tr/support/tracker/en/api-ref/access.md).

To get information about permissions, use an HTTP `GET` request.

```
GET v3/queues/<queue_ID>/permissions/groups/<group_ID>
Host: api.tracker.yandex.net
Authorization: OAuth <OAuth_token>
X-Org-ID or X-Cloud-Org-ID: <organization_ID>
```

<!-- source: en/_includes/api/headings.md -->
{% cut "Headers" %}

* `Host`: address of the node that provides the API.

* <!-- source: en/_includes/api/authorization.md -->
  `Authorization`: Authorization token about these formats:

    - `OAuth <OAuth_token>`: For authorization using the OAuth 2.0 protocol. [Learn more](https://yandex.com.tr/support/tracker/en/api-ref/access.md#about_OAuth)

    - `Bearer <IAM_token>`: For authorization using an IAM token, if a Yandex Cloud Organization organization is linked to Tracker. [Learn more](https://yandex.com.tr/support/tracker/en/api-ref/access.md#iam-token)
  <!-- endsource: en/_includes/api/authorization.md -->


* <!-- source: en/_includes/api/org-id.md -->
  `X-Org-ID` or `X-Cloud-Org-ID`: Organization ID.

  - Use the `X-Org-ID` header if a Tracker organization is linked to Yandex 360 for Business.

  - Use the `X-Cloud-Org-ID` header if a Tracker organization is linked to Yandex Cloud Organization.

  To get the organization ID, go to **Administration** → [**Organizations**](https://tracker.yandex.com/admin/orgs) and copy the value from the **ID** field. {#find-id}
  <!-- endsource: en/_includes/api/org-id.md -->


{% endcut %}
<!-- endsource: en/_includes/api/headings.md -->


{% cut "Resource" %}

| Parameter | Description | Data type |
----- | ----- | -----
| \<queue_ID\> | Queue ID or key. The queue key is case-sensitive | String or number |
| \<group_ID\> | Unique group ID in the organization | Number |

{% endcut %}

## Response format {#answer}

{% list tabs %}

- Request executed successfully

    <!-- source: en/_includes/api/answer-200.md -->
    If the request is successful, the API returns a response with code `200 OK`.
    <!-- endsource: en/_includes/api/answer-200.md -->

    ```json
    {
        "group": {
            "self": "https://api.tracker.yandex.net/v3/groups/5",
            "id": "5",
            "display": "All employees"
        },
        "permissions": {
            "CREATE": {
                "groups": [
                    {
                        "self": "https://api.tracker.yandex.net/v3/groups/5",
                        "id": "5",
                        "display": "All employees"
                    }
                ],
            },
            {...},
        },
        "components": [
            {
                "self": "https://api.tracker.yandex.net/v3/components/1",
                "id": "1",
                "display": "Component 1"
            },
            {...}
        ]
    }
    ```

    {% cut "Response parameters" %}

    | Parameter | Description | Data type |
    ----- | ----- | -----
    | [group](#group) | Object containing information about the group for which permissions are being requested. | Map item |
    | permissions | Array of objects containing information about [group permissions for the queue](../../manager/queue-access.md). Possible values:<ul><li>`GRANT`: <q>Queue settings</q>.</li><li>`CREATE`: <q>Create issues</q>.</li><li>`READ`: <q>View issues</q>.</li><li>`WRITE`: <q>Edit issues</q>.</li><li>`DENY`: Access denied.</li></ul> | Array of objects |
    | [groups](#groups) | Object with group information | Map item |
    | [components](#components) | Array of objects containing information about the components to which the group has access | Array of objects |

    `group` and `groups` **object fields** {#group}

    | Parameter | Description | Data type |
    -------- | -------- | ----------
    | self | Address of the API resource that contains group information | String |
    | id | Group ID | String |
    | display | Group display name | String |

    `components` **object fields** {#components}

    | Parameter | Description | Data type |
    -------- | -------- | ----------
    | self | Address of the API resource that contains component information | String |
    | id | Component ID | String |
    | display | Component display name | String |

    {% endcut %}

- Request failed

   If the request is processed incorrectly, the API returns a response with an error code:

   <!-- source: en/_includes/api/answer-error-401.md -->
   401
   :   The user is not authorized. Make sure that actions described in the [API access](https://yandex.com.tr/support/tracker/en/api-ref/access.md) section are performed.
   <!-- endsource: en/_includes/api/answer-error-401.md -->

   <!-- source: en/_includes/api/answer-error-403.md -->
   403
   :   You are not authorized to perform this action. You can check what rights you have in the Tracker interface. The same rights are required to perform an action via the API and interface.
   <!-- endsource: en/_includes/api/answer-error-403.md -->

   <!-- source: en/_includes/api/answer-error-404.md -->
   404
   :   The requested object was not found. You may have specified an invalid object ID or key.
   <!-- endsource: en/_includes/api/answer-error-404.md -->

{% endlist %}
